# lugins/osg/Shape.cpp File Reference

`#include <osg/Shape>`
`#include <osg/Notify>`
`#include <osgDB/Registry>`
`#include <osgDB/Input>`
`#include <osgDB/ParameterOutput>`

Include dependency graph for lugins/osg/Shape.cpp:

## Functions

bool | Sphere_readLocalData (Object &obj, Input &fr)
bool | Sphere_writeLocalData (const Object &obj, Output &fw)
bool | Box_readLocalData (Object &obj, Input &fr)
bool | Box_writeLocalData (const Object &obj, Output &fw)
bool | Cone_readLocalData (Object &obj, Input &fr)
bool | Cone_writeLocalData (const Object &obj, Output &fw)
bool | Cylinder_readLocalData (Object &obj, Input &fr)
bool | Cylinder_writeLocalData (const Object &obj, Output &fw)
bool | Capsule_readLocalData (Object &obj, Input &fr)
bool | Capsule_writeLocalData (const Object &obj, Output &fw)
bool | HeightField_readLocalData (Object &obj, Input &fr)
bool | HeightField_writeLocalData (const Object &obj, Output &fw)
bool | CompositeShape_readLocalData (Object &obj, Input &fr)
bool | CompositeShape_writeLocalData (const Object &obj, Output &fw)

## Variables

RegisterDotOsgWrapperProxy | g_SphereFuncProxy (new osg::Sphere,"Sphere","Object Sphere",&Sphere_readLocalData,&Sphere_writeLocalData, DotOsgWrapper::READ_AND_WRITE)
RegisterDotOsgWrapperProxy | g_BoxFuncProxy (new osg::Box,"Box","Object Box",&Box_readLocalData,&Box_writeLocalData, DotOsgWrapper::READ_AND_WRITE)
RegisterDotOsgWrapperProxy | g_ConeFuncProxy (new osg::Cone,"Cone","Object Cone",&Cone_readLocalData,&Cone_writeLocalData, DotOsgWrapper::READ_AND_WRITE)
RegisterDotOsgWrapperProxy | g_CylinderFuncProxy (new osg::Cylinder,"Cylinder","Object Cylinder",&Cylinder_readLocalData,&Cylinder_writeLocalData, DotOsgWrapper::READ_AND_WRITE)
RegisterDotOsgWrapperProxy | g_CapsuleFuncProxy (new osg::Capsule,"Capsule","Object Capsule",&Capsule_readLocalData,&Capsule_writeLocalData, DotOsgWrapper::READ_AND_WRITE)
RegisterDotOsgWrapperProxy | g_HeightFieldFuncProxy (new osg::HeightField,"HeightField","Object HeightField",&HeightField_readLocalData,&HeightField_writeLocalData, DotOsgWrapper::READ_AND_WRITE)
RegisterDotOsgWrapperProxy | g_GridFuncProxy (new osg::HeightField,"Grid","Object HeightField", 0, 0, DotOsgWrapper::READ_AND_WRITE)
RegisterDotOsgWrapperProxy | g_CompositeShapeFuncProxy (new osg::CompositeShape,"CompositeShape","Object CompositeShape",&CompositeShape_readLocalData,&CompositeShape_writeLocalData, DotOsgWrapper::READ_AND_WRITE)

## Function Documentation

bool Box_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool Box_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

bool Capsule_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool Capsule_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

bool CompositeShape_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool CompositeShape_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

bool Cone_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool Cone_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

bool Cylinder_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool Cylinder_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

bool HeightField_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool HeightField_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

bool Sphere_readLocalData | ( | Object & | obj,
|  | Input & | fr
| ) |

bool Sphere_writeLocalData | ( | const Object & | obj,
|  | Output & | fw
| ) |

## Variable Documentation

RegisterDotOsgWrapperProxy g_BoxFuncProxy(new osg::Box,"Box","Object Box",&Box_readLocalData,&Box_writeLocalData, DotOsgWrapper::READ_AND_WRITE)

RegisterDotOsgWrapperProxy g_CapsuleFuncProxy(new osg::Capsule,"Capsule","Object Capsule",&Capsule_readLocalData,&Capsule_writeLocalData, DotOsgWrapper::READ_AND_WRITE)

RegisterDotOsgWrapperProxy g_CompositeShapeFuncProxy(new osg::CompositeShape,"CompositeShape","Object CompositeShape",&CompositeShape_readLocalData,&CompositeShape_writeLocalData, DotOsgWrapper::READ_AND_WRITE)

RegisterDotOsgWrapperProxy g_ConeFuncProxy(new osg::Cone,"Cone","Object Cone",&Cone_readLocalData,&Cone_writeLocalData, DotOsgWrapper::READ_AND_WRITE)

RegisterDotOsgWrapperProxy g_CylinderFuncProxy(new osg::Cylinder,"Cylinder","Object Cylinder",&Cylinder_readLocalData,&Cylinder_writeLocalData, DotOsgWrapper::READ_AND_WRITE)

RegisterDotOsgWrapperProxy g_GridFuncProxy(new osg::HeightField,"Grid","Object HeightField", 0, 0, DotOsgWrapper::READ_AND_WRITE)

RegisterDotOsgWrapperProxy g_HeightFieldFuncProxy(new osg::HeightField,"HeightField","Object HeightField",&HeightField_readLocalData,&HeightField_writeLocalData, DotOsgWrapper::READ_AND_WRITE)

RegisterDotOsgWrapperProxy g_SphereFuncProxy(new osg::Sphere,"Sphere","Object Sphere",&Sphere_readLocalData,&Sphere_writeLocalData, DotOsgWrapper::READ_AND_WRITE)